Package org.apache.lucene.spatial3d.geom

# Class GeoS2ShapeFactory

java.lang.Object
org.apache.lucene.spatial3d.geom.GeoS2ShapeFactory

public class GeoS2ShapeFactory extends Object
Class which constructs a GeoPolygon representing S2 google pixel.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GeoPolygon`
  `makeGeoS2Shape(PlanetModel planetModel, GeoPoint point1, GeoPoint point2, GeoPoint point3, GeoPoint point4)`
  Creates a convex polygon with 4 planes by providing 4 points in CCW.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### makeGeoS2Shape

    public static GeoPolygon makeGeoS2Shape(PlanetModel planetModel, GeoPoint point1, GeoPoint point2, GeoPoint point3, GeoPoint point4)
    Creates a convex polygon with 4 planes by providing 4 points in CCW. This is a very fast shape and there are no checks that the points currently define a convex shape.
    Parameters:
      `planetModel` - The planet model
      `point1` - the first point.
      `point2` - the second point.
      `point3` - the third point.
      `point4` - the four point.
    Returns:
      the generated shape.